# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc模糊查询项目信息,22932,2293-024,sit,bs
主数据平台:运营后台管理系统模糊查询项目信息接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 模糊查询字段
project_msg = "蛇牌"
# 进行项目模糊查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url17")
request_body = commonFuc().get_business_data(module, "payload17", project_msg)

"""

 场景: 验证模糊查询项目信息
 用例名称：模糊查询项目信息
 输出：{"projectName":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取查询结果中customerName
result = {"projectName": result["data"][0]["projectName"][:2]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict17", project_msg)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

