# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc商品详情页_套包协议价显示验证,2252,2252-77,sit,bs
涉及到接口:套包协议价列表查询、查询特殊套包详情接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json

module = "cmdc_special_fresenius_group"
# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步套包协议价查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url3")
request_body = commonFuc().get_business_data(module, "payload49_1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取商品信息
product_code = result["data"]["list"][0]["products"][0]["productCode"]
company_code = result["data"]["list"][0]["companyCode"]
document_no = result["data"]["list"][0]["documentNo"]
group_price = result["data"]["list"][0]["groupPrice"]
# print(product_code)
# 第三步登录多采商城获取token信息
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 进行站点切换
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_website")
request_body = commonFuc().get_business_data(module, "payload_website")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)

# 第四步获取商品对应的套包信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url47")
request_body = commonFuc().get_business_data(module, "payload47", product_code, company_code)

"""
 场景:商品详情页_套包协议价显示验证
 用例名称：商品详情页_套包协议价显示验证
 输出：{"groupPrice":"%s","documentNo":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取商品详情页中套包正价信息
result = {"groupPrice": result["data"][1]["groupPrice"], "documentNo": result["data"][1]["documentNo"]}
# print(result)
# # 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict48", group_price, document_no)
# # 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
