# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc验证组成套包需2个或2个以上商品,2264,2264-25,sit,bs
主数据平台:运营后台管理系统套包创建接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步创建套包
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url13")
request_body = commonFuc().get_business_data(module, "payload13")

"""
 场景:验证组成套包需2个或2个以上商品
 用例名称：验证组成套包需2个或2个以上商品
 输出：{"success":false,"code":"FRESENIUS_GROUP_ERROR","message":"组成套包需2个或2个以上商品","data":null,"freshToken":null}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict13")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
